# biz-dashboard-api-spec

事業ダッシュボードのバックエンド API の仕様 (API Spec) を GraphQL 形式でまとめる。

- バックエンドは API-Spec に準拠して API を実装する
- フロントエンドは API-Spec に準拠して API を呼び出す

## Setup

```
$ npm install
```

## Build

```
$ npm run build
```

## Watch and preview

```
$ npm start
```

Open localhost:8080

## Setup

npm から依存パッケージをインストールする

```
$ npm install
```

## Build

```
$ npm run build
```

## Deployment

GitHub へ push されると、Netlify を通じてドキュメンテーションを配信する。
認証はかかっていないので注意すること

https://app.netlify.com/sites/biz-dashboard-api-spec/overview

- https://biz-dashboard-api-spec.netlify.com/director/
- https://biz-dashboard-api-spec.netlify.com/optimizer/

## Watch and preview

ドキュメンテーションを確認しながら編集したい場合は watch モードを使うとよい

```
$ npm start
```

## バージョンのアップグレード

package.json のバージョンをアップグレード内容に応じて (semver) 変更し、master ブランチに push する。

```
$ npm version patch # patch | minor | major
```
