const fs = require("fs");
const path = require("path");
const { fileLoader, mergeTypes } = require("merge-graphql-schemas");

const typesArray = fileLoader(path.join(__dirname, "./schema"), {
  recursive: true
});

const output = [
  `# DON'T EDIT ME: AUTO GENERATED\n\n`,
  mergeTypes(typesArray)
].join("");

fs.writeFileSync(path.join(__dirname, "./schema.gql"), output, {
  encoding: "utf8"
});
